
QGIS Application - Bug report #13355

Fill ring crashes QGIS

2015-09-14 12:25 AM - Saber Razmjooei

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 21408

Description

Using fill ring under advanced digitising causing segmentation fault in qgis master.

Associated revisions

Revision aa4d65d3 - 2015-10-08 12:39 PM - Nyall Dawson

Fix fill ring tool used with advanced digitising crashes QGIS

(fix #13355)

Revision f98fd331 - 2015-11-18 12:07 PM - Nyall Dawson

Fix fill ring tool used with advanced digitising crashes QGIS

(fix #13355)

(cherry-picked from aa4d65d3b8926b36f88205dbb0d192b12bc1d1ad)

History

#1 - 2015-09-14 12:33 AM - Saber Razmjooei

- Subject changed from Fill ring crashes QGSI to Fill ring crashes QGIS

#2 - 2015-09-21 10:20 PM - Saber Razmjooei

- Status changed from Open to Closed

Seems to have been resolved in the latest master.

#3 - 2015-09-27 12:02 PM - Salvatore Larosa

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Closed to Reopened

testing fill ring and I am getting a crash

steps to reproduce:

    -  add a new scratch polygon layer

    -  digitize a new polygon feature
    -  use fill ring and add a new polygon inside the first one

Program received signal SIGSEGV, Segmentation fault.

0x00007ffff475bfca in QgsPoint::x (this=0x90) at /home/sam/pacchetti_gis/QGIS/src/app/../core/qgspoint.h:128

128          return m_x;

(gdb) bt

#0  0x00007ffff475bfca in QgsPoint::x (this=0x90) at /home/sam/pacchetti_gis/QGIS/src/app/../core/qgspoint.h:128

#1  0x00007ffff48dbcd4 in QgsMapToolFillRing::cadCanvasReleaseEvent (this=0xe751a0, e=0x28c1eb0)

    at /home/sam/pacchetti_gis/QGIS/src/app/qgsmaptoolfillring.cpp:127

#2  0x00007ffff3511400 in QgsMapToolAdvancedDigitizing::canvasReleaseEvent (this=0xe751a0, e=0x28c1eb0)

    at /home/sam/pacchetti_gis/QGIS/src/gui/qgsmaptooladvanceddigitizing.cpp:46

#3  0x00007ffff34fe0f7 in QgsMapCanvas::mouseReleaseEvent (this=0xbe85f0, e=0x7fffffffc860)

    at /home/sam/pacchetti_gis/QGIS/src/gui/qgsmapcanvas.cpp:1315

#4  0x00007ffff14cce10 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#5  0x00007ffff1877d36 in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#6  0x00007ffff1a9037b in QGraphicsView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#7  0x00007ffff20d3cc6 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#8  0x00007ffff147d6dc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#9  0x00007ffff14823eb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#10 0x00007ffff3d1066e in QgsApplication::notify (this=0x7fffffffd6c0, receiver=0xbe7d40, event=0x7fffffffc860)

    at /home/sam/pacchetti_gis/QGIS/src/core/qgsapplication.cpp:265

#11 0x00007ffff20d3b5e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#12 0x00007ffff147e54b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) ()

   from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff14f8fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#14 0x00007ffff14f7d51 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#15 0x00007ffff151ebc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#16 0x00007fffed2b1355 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#17 0x00007fffed2b1688 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#18 0x00007fffed2b1744 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#19 0x00007ffff2102276 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#20 0x00007ffff151e83e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#21 0x00007ffff20d28af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#22 0x00007ffff20d2b38 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#23 0x00007ffff20d7cf8 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#4 - 2015-10-08 03:39 AM - Nyall Dawson

- Status changed from Reopened to Closed

Fixed in changeset commit:"aa4d65d3b8926b36f88205dbb0d192b12bc1d1ad".
